-- Hide the status bar
display.setStatusBar(display.HiddenStatusBar);

-- Variables to Determine Center of Screen
_W = display.contentWidth / 2;
_H = display.contentHeight / 2;



-- Place background image	
local background = display.newImage ("images/background.png");
background.x = _W;
background.y = _H;

-- Place ship image
local ship = display.newImage ("images/spaceship.png");
ship.x = _W;
ship.y = _H;

-- Place arrows on screen
local upArrow = display.newImage ("images/upArrow.png");
upArrow.x = 70;
upArrow.y = 230;

local downArrow = display.newImage ("images/downArrow.png");
downArrow.x = 70;
downArrow.y = 290;

local leftArrow = display.newImage ("images/leftArrow.png");
leftArrow.x = 30;
leftArrow.y = 260;

local rightArrow = display.newImage ("images/rightArrow.png");
rightArrow.x = 110;
rightArrow.y = 260;



-- Set up speed
local shipMoveX = 0;
local shipMoveY = 0;
local speed = 6;

local function stopShip (event)
if event.phase =="ended" then
	shipMoveX = 0;
	shipMoveY = 0;
	end
end

-- When no arrow is touched, stop movement
Runtime:addEventListener("touch", stopShip);



-- Move the spaceship
local function moveShip (event)
	ship.x = ship.x + shipMoveX;
	ship.y = ship.y + shipMoveY;
end

-- Start movement
Runtime:addEventListener("enterFrame", moveShip);


function upArrow:touch()
	shipMoveX = 0;
	shipMoveY = -speed;
end
upArrow:addEventListener("touch", up);

function downArrow:touch()
	shipMoveX = 0;
	shipMoveY = speed;
end
downArrow:addEventListener("touch", down);

function leftArrow:touch()
	shipMoveX = -speed;
	shipMoveY = 0;
end
leftArrow:addEventListener("touch",left);

function rightArrow:touch()
	shipMoveX = speed;
	shipMoveY = 0;
end
rightArrow:addEventListener("touch",right);



-- Keep spaceship boxed in by fake walls
local function fakeWalls (event)

	if ship.x < 50 then
		ship.x = 50
	end

	if ship.x > 430 then
		ship.x = 430
	end

	if ship.y > 270 then
		ship.y = 270
	end

	if ship.y < 50 then
		ship.y = 50
	end

	if speed < 0 then
		speed = 0
	end
end

Runtime:addEventListener("enterFrame", fakeWalls);